package com.huatek.frame.base.util;

import com.google.common.collect.Lists;
import com.huatek.frame.base.vo.ModeTypeVO;
import lombok.Getter;

import java.util.List;

public enum ModelEnum {
    BYQ("byq", "变压器"),
    GIS("gis", "GIS"),
    BLQ("blq", "避雷器"),
    DL("dl", "高压电缆"),
    FDJ("fdj", "发电机"),
    KGG("kgg", "开关柜");

    @Getter
    private String key;
    @Getter
    private String value;

    ModelEnum(String key, String value){
        this.key = key;
        this.value = value;
    }

    public static List<ModeTypeVO> getModelList(){
        List<ModeTypeVO> modelList = Lists.newArrayList();
        for(ModelEnum model:ModelEnum.values()){
            ModeTypeVO vo = new ModeTypeVO();
            vo.setModelType(model.getKey());
            vo.setName(model.getValue());
            modelList.add(vo);
        }
        return modelList;
    }


}
